OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_HArray2OfXY Class Reference

`#include <PColgp_HArray2OfXY.hxx>`

## Public Member Functions
Standard_EXPORT | PColgp_HArray2OfXY (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | PColgp_HArray2OfXY (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2, const gp_XY &V)
Standard_EXPORT Standard_Integer | ColLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_EXPORT Standard_Integer | RowLength () const
Standard_EXPORT void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const gp_XY &Value)
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
Standard_EXPORT gp_XY | Value (const Standard_Integer Row, const Standard_Integer Col) const
virtual Standard_EXPORT Handle_Standard_Persistent | ShallowCopy () const
virtual Standard_EXPORT void | ShallowDump (Standard_OStream &s) const
| PColgp_HArray2OfXY ()
| PColgp_HArray2OfXY (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfXYmyLowerRow () const
void | _CSFDB_SetPColgp_HArray2OfXYmyLowerRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfXYmyLowerCol () const
void | _CSFDB_SetPColgp_HArray2OfXYmyLowerCol (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfXYmyUpperRow () const
void | _CSFDB_SetPColgp_HArray2OfXYmyUpperRow (const Standard_Integer p)
Standard_Integer | _CSFDB_GetPColgp_HArray2OfXYmyUpperCol () const
void | _CSFDB_SetPColgp_HArray2OfXYmyUpperCol (const Standard_Integer p)
const PColgp_FieldOfHArray2OfXY & | _CSFDB_GetPColgp_HArray2OfXYData () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Member Functions
Standard_EXPORT PColgp_FieldOfHArray2OfXY | Field () const
Standard_EXPORT Standard_Address | Datas () const
## Private Attributes
Standard_Integer | myLowerRow
Standard_Integer | myLowerCol
Standard_Integer | myUpperRow
Standard_Integer | myUpperCol
PColgp_FieldOfHArray2OfXY | Data

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_HArray2OfXY::PColgp_HArray2OfXY | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT PColgp_HArray2OfXY::PColgp_HArray2OfXY | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2,
|  | const gp_XY & | V
| ) |

PColgp_HArray2OfXY::PColgp_HArray2OfXY | ( |  | ) | `[inline]`

PColgp_HArray2OfXY::PColgp_HArray2OfXY | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const PColgp_FieldOfHArray2OfXY& PColgp_HArray2OfXY::_CSFDB_GetPColgp_HArray2OfXYData | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfXY::_CSFDB_GetPColgp_HArray2OfXYmyLowerCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfXY::_CSFDB_GetPColgp_HArray2OfXYmyLowerRow | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfXY::_CSFDB_GetPColgp_HArray2OfXYmyUpperCol | ( |  | ) | const`[inline]`

Standard_Integer PColgp_HArray2OfXY::_CSFDB_GetPColgp_HArray2OfXYmyUpperRow | ( |  | ) | const`[inline]`

void PColgp_HArray2OfXY::_CSFDB_SetPColgp_HArray2OfXYmyLowerCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfXY::_CSFDB_SetPColgp_HArray2OfXYmyLowerRow | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfXY::_CSFDB_SetPColgp_HArray2OfXYmyUpperCol | ( | const Standard_Integer | p | ) | `[inline]`

void PColgp_HArray2OfXY::_CSFDB_SetPColgp_HArray2OfXYmyUpperRow | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PColgp_HArray2OfXY::ColLength | ( |  | ) | const

Standard_EXPORT Standard_Address PColgp_HArray2OfXY::Datas | ( |  | ) | const`[private]`

Standard_EXPORT PColgp_FieldOfHArray2OfXY PColgp_HArray2OfXY::Field | ( |  | ) | const`[private]`

Standard_EXPORT const PColgp_HArray2OfXY::Handle | ( | Standard_Type |  | ) | const

Standard_Integer PColgp_HArray2OfXY::LowerCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfXY::LowerRow | ( |  | ) | const

Standard_EXPORT Standard_Integer PColgp_HArray2OfXY::RowLength | ( |  | ) | const

Standard_EXPORT void PColgp_HArray2OfXY::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const gp_XY & | Value
| ) |

virtual Standard_EXPORT Handle_Standard_Persistent PColgp_HArray2OfXY::ShallowCopy | ( |  | ) | const`[virtual]`

virtual Standard_EXPORT void PColgp_HArray2OfXY::ShallowDump | ( | Standard_OStream & | s | ) | const`[virtual]`

Standard_Integer PColgp_HArray2OfXY::UpperCol | ( |  | ) | const

Standard_Integer PColgp_HArray2OfXY::UpperRow | ( |  | ) | const

Standard_EXPORT gp_XY PColgp_HArray2OfXY::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

PColgp_FieldOfHArray2OfXY PColgp_HArray2OfXY::Data`[private]`

Standard_Integer PColgp_HArray2OfXY::myLowerCol`[private]`

Standard_Integer PColgp_HArray2OfXY::myLowerRow`[private]`

Standard_Integer PColgp_HArray2OfXY::myUpperCol`[private]`

Standard_Integer PColgp_HArray2OfXY::myUpperRow`[private]`

The documentation for this class was generated from the following file:

- PColgp_HArray2OfXY.hxx